// Garden Gnome Software - Skin
// Pano2VR 6.0 alpha/16109
// Filename: slider.ggsk
// Generated Thu May 18 15:07:54 2017

function pano2vrSkin(player,base) {
	var ggSkinVars = [];
	var me=this;
	var flag=false;
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	this.ggUserdata=me.player.userdata;
	this.lastSize={ w: -1,h: -1 };
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=[];
	this.elementMouseOver=[];
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	if (typeof document.body.style['transform'] == 'undefined') {
		for(var i=0;i<prefixes.length;i++) {
			if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
				cssPrefix='-' + prefixes[i].toLowerCase() + '-';
				domTransition=prefixes[i] + 'Transition';
				domTransform=prefixes[i] + 'Transform';
			}
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=[];
		stack.push(startElement);
		while(stack.length>0) {
			var e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=[];
		var stack=[];
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			var e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(var i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.addSkin=function() {
		var hs='';
		this.ggCurrentTime=new Date().getTime();
		this._menu_a0=document.createElement('div');
		this._menu_a0.ggId="menu_a";
		this._menu_a0.ggLeft=-276;
		this._menu_a0.ggTop=-90;
		this._menu_a0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_a0.ggVisible=true;
		this._menu_a0.className='ggskin ggskin_container ';
		this._menu_a0.ggType='container';
		hs ='';
		hs+='height : 63px;';
		hs+='left : -276px;';
		hs+='position : absolute;';
		hs+='top : -90px;';
		hs+='visibility : inherit;';
		hs+='width : 551px;';
		hs+='pointer-events:none;';
		this._menu_a0.setAttribute('style',hs);
		this._menu_a0.style[domTransform + 'Origin']='50% 50%';
		me._menu_a0.ggIsActive=function() {
			return false;
		}
		me._menu_a0.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		me._menu_a0.ggCurrentLogicStateVisible = -1;
		this._menu_a0.ggUpdateConditionResize=function () {
			var newLogicStateVisible;
			if (
				(me.player.getViewerSize().width < 800)
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._menu_a0.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._menu_a0.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._menu_a0.style[domTransition]='';
				if (me._menu_a0.ggCurrentLogicStateVisible == 0) {
					me._menu_a0.style.visibility="hidden";
					me._menu_a0.ggVisible=false;
				}
				else {
					me._menu_a0.style.visibility=(Number(me._menu_a0.style.opacity)>0||!me._menu_a0.style.opacity)?'inherit':'hidden';
					me._menu_a0.ggVisible=true;
				}
			}
		}
		this._menu_a0.ggUpdatePosition=function (useTransition) {
			if (useTransition==='undefined') {
				useTransition = false;
			}
			if (!useTransition) {
				this.style[domTransition]='none';
			}
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w/2) + 'px';
				var h=this.parentNode.offsetHeight;
					this.style.top=(this.ggTop - 0 + h) + 'px';
			}
			me._menu_a0.ggUpdateConditionResize();
		}
		this._rectangle_10=document.createElement('div');
		this._rectangle_10.ggId="Rectangle 1";
		this._rectangle_10.ggLeft=-275;
		this._rectangle_10.ggTop=-60;
		this._rectangle_10.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._rectangle_10.ggVisible=true;
		this._rectangle_10.className='ggskin ggskin_rectangle ';
		this._rectangle_10.ggType='rectangle';
		hs ='';
		hs+='background : #ffffff;';
		hs+='border : 1px solid #000000;';
		hs+='cursor : default;';
		hs+='height : 59px;';
		hs+='left : -275px;';
		hs+='position : absolute;';
		hs+='top : -60px;';
		hs+='visibility : inherit;';
		hs+='width : 19px;';
		hs+='pointer-events:auto;';
		this._rectangle_10.setAttribute('style',hs);
		this._rectangle_10.style[domTransform + 'Origin']='50% 50%';
		me._rectangle_10.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._rectangle_10.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._rectangle_10.onmouseout=function (e) {
			me.elementMouseDown['rectangle_10']=false;
		}
		this._rectangle_10.onmousedown=function (e) {
			me.elementMouseDown['rectangle_10']=true;
		}
		this._rectangle_10.onmouseup=function (e) {
			me.elementMouseDown['rectangle_10']=false;
		}
		this._rectangle_10.ontouchend=function (e) {
			me.elementMouseDown['rectangle_10']=false;
		}
		this._rectangle_10.ggUpdatePosition=function (useTransition) {
			if (useTransition==='undefined') {
				useTransition = false;
			}
			if (!useTransition) {
				this.style[domTransition]='none';
			}
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w/2) + 'px';
				var h=this.parentNode.offsetHeight;
					this.style.top=(this.ggTop - 0 + h) + 'px';
			}
		}
		this._menu_a0.appendChild(this._rectangle_10);
		this._rectangle_20=document.createElement('div');
		this._rectangle_20.ggId="Rectangle 2";
		this._rectangle_20.ggLeft=256;
		this._rectangle_20.ggTop=-61;
		this._rectangle_20.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._rectangle_20.ggVisible=true;
		this._rectangle_20.className='ggskin ggskin_rectangle ';
		this._rectangle_20.ggType='rectangle';
		hs ='';
		hs+='background : #ffffff;';
		hs+='border : 1px solid #000000;';
		hs+='cursor : default;';
		hs+='height : 59px;';
		hs+='left : 256px;';
		hs+='position : absolute;';
		hs+='top : -61px;';
		hs+='visibility : inherit;';
		hs+='width : 19px;';
		hs+='pointer-events:auto;';
		this._rectangle_20.setAttribute('style',hs);
		this._rectangle_20.style[domTransform + 'Origin']='50% 50%';
		me._rectangle_20.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._rectangle_20.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._rectangle_20.onmouseout=function (e) {
			me.elementMouseDown['rectangle_20']=false;
		}
		this._rectangle_20.onmousedown=function (e) {
			me.elementMouseDown['rectangle_20']=true;
		}
		this._rectangle_20.onmouseup=function (e) {
			me.elementMouseDown['rectangle_20']=false;
		}
		this._rectangle_20.ontouchend=function (e) {
			me.elementMouseDown['rectangle_20']=false;
		}
		this._rectangle_20.ggUpdatePosition=function (useTransition) {
			if (useTransition==='undefined') {
				useTransition = false;
			}
			if (!useTransition) {
				this.style[domTransition]='none';
			}
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w/2) + 'px';
				var h=this.parentNode.offsetHeight;
					this.style.top=(this.ggTop - 0 + h) + 'px';
			}
		}
		this._menu_a0.appendChild(this._rectangle_20);
		this._container_10=document.createElement('div');
		this._container_10.ggId="Container 1";
		this._container_10.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._container_10.ggVisible=true;
		this._container_10.className='ggskin ggskin_container ';
		this._container_10.ggType='container';
		hs ='';
		hs+='height : 60px;';
		hs+='left : 32px;';
		hs+='overflow : hidden;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : inherit;';
		hs+='width : 490px;';
		hs+='pointer-events:none;';
		this._container_10.setAttribute('style',hs);
		this._container_10.style[domTransform + 'Origin']='50% 50%';
		me._container_10.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._container_10.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._container_10.ggUpdatePosition=function (useTransition) {
		}
		this._thumbnail_cloner0=document.createElement('div');
		this._thumbnail_cloner0.ggNumRepeat = 1;
		this._thumbnail_cloner0.ggWidth = 98;
		this._thumbnail_cloner0.ggHeight = 60;
		this._thumbnail_cloner0.ggUpdating = false;
		this._thumbnail_cloner0.ggFilter = [];
		this._thumbnail_cloner0.ggUpdate = function(filter) {
			if(me._thumbnail_cloner0.ggUpdating == true) return;
			me._thumbnail_cloner0.ggUpdating = true;
			if (typeof filter=='object') {
				me._thumbnail_cloner0.ggFilter = filter;
			} else {
				filter = me._thumbnail_cloner0.ggFilter;
			};
			if (me._thumbnail_cloner0.hasChildNodes() == true) {
				while (me._thumbnail_cloner0.firstChild) {
					me._thumbnail_cloner0.removeChild(me._thumbnail_cloner0.firstChild);
				}
			}
			var tourNodes = me.player.getNodeIds();
			var row = 0;
			var column = 0;
			var numRows = me._thumbnail_cloner0.ggNumRepeat;
			if (numRows < 1) numRows = 1;
			for (i=0; i < tourNodes.length; i++) {
				var nodeId = tourNodes[i];
				var passed = false;
				if (filter.length > 0) {
					var nodeData = me.player.getNodeUserdata(nodeId);
					for (j=0; j < filter.length; j++) {
						if (nodeData['tags'].indexOf(filter[j]) != -1) passed = true;
					}
				}
				else passed = true;
				if (passed) {
					me._thumbnail_cloner0__node = document.createElement('div');
					me._thumbnail_cloner0.appendChild(me._thumbnail_cloner0__node);
					me._thumbnail_cloner0__node.setAttribute('style','position: absolute; top: ' + (row * me._thumbnail_cloner0.ggHeight) + 'px; left:' + (column * me._thumbnail_cloner0.ggWidth) + 'px; height: ' + me._thumbnail_cloner0.ggHeight + 'px; width: ' + me._thumbnail_cloner0.ggWidth + 'px; overflow: hidden;');
					var inst = new SkinCloner_thumbnail_cloner0_Class(nodeId, me);
					me._thumbnail_cloner0__node.appendChild(inst.__div);
					me._thumbnail_cloner0__node.ggObj=inst;
					me.updateSize(inst.__div);
					row++;
					if (row >= numRows) {
						row = 0;
						column++;
					}
				}
			}
			me._thumbnail_cloner0.ggClonerCallChildFunctions('ggUpdateConditionTimer');
			me._thumbnail_cloner0.ggUpdating = false;
		}
		this._thumbnail_cloner0.ggClonerCallChildFunctions = function(functionname){
			var stack = [];
			var i;
			for(i=0; i<me._thumbnail_cloner0.childNodes.length; i++) {
				stack.push(me._thumbnail_cloner0.childNodes[i]);
			}
			while (stack.length > 0) {
				var e = stack.pop();
				if (typeof e[functionname] == 'function')
					e[functionname]();
				if(e.hasChildNodes()) {
					for(i=0; i<e.childNodes.length; i++) {
						stack.push(e.childNodes[i]);
					}
				}
			}
		}
		this._thumbnail_cloner0.ggTags = [];
		this._thumbnail_cloner0.ggId="Thumbnail Cloner";
		this._thumbnail_cloner0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail_cloner0.ggVisible=true;
		this._thumbnail_cloner0.className='ggskin ggskin_cloner ';
		this._thumbnail_cloner0.ggType='cloner';
		hs ='';
		hs+='height : 59px;';
		hs+='left : 0px;';
		hs+='overflow : visible;';
		hs+='position : absolute;';
		hs+='top : -1px;';
		hs+='visibility : inherit;';
		hs+='width : 97px;';
		hs+='pointer-events:none;';
		this._thumbnail_cloner0.setAttribute('style',hs);
		this._thumbnail_cloner0.style[domTransform + 'Origin']='50% 50%';
		me._thumbnail_cloner0.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._thumbnail_cloner0.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._thumbnail_cloner0.ggUpdateConditionNodeChange=function () {
			var cnode=me.player.getCurrentNode();
			for(var i=0; i<me._thumbnail_cloner0.childNodes.length; i++) {
				var child=me._thumbnail_cloner0.childNodes[i];
				if (child.ggObj && child.ggObj.ggNodeId==cnode) {
			        var childOffX = child.offsetLeft;
			        var childOffY = child.offsetTop;
					var p = child.parentElement;
			        while (p != null && p!==this.divSkin) {
						if (p.ggType && p.ggType == 'scrollarea') {
							if ((p.scrollLeft + p.clientWidth) < (childOffX + child.clientWidth)) {
								p.scrollLeft = (childOffX + child.clientWidth) - p.clientWidth;
							}
							if ((p.scrollTop + p.clientHeight) < (childOffY + child.clientHeight)) {
								p.scrollTop = (childOffY + child.clientHeight) - p.clientHeight;
							}
							if (childOffX < p.scrollLeft) {
								p.scrollLeft = childOffX;
							}
							if (childOffY < p.scrollTop) {
								p.scrollTop = childOffY;
							}
						}
						childOffX += p.offsetLeft;
						childOffY += p.offsetTop;
						p = p.parentElement;
					}
				}
			}
		}
		this._thumbnail_cloner0.ggUpdatePosition=function (useTransition) {
			var w=me.player.getViewerSize().width;
			var h=me.player.getViewerSize().height
			if ((!me._thumbnail_cloner0.ggLastSize) || (me._thumbnail_cloner0.ggLastSize.w!=w) || (me._thumbnail_cloner0.ggLastSize.h!=h)) {
				me._thumbnail_cloner0.ggLastSize={ w:w, h:h };
				me._thumbnail_cloner0.ggUpdate();
			}
		}
		this._thumbnail_cloner0.ggNodeChange=function () {
			me._thumbnail_cloner0.ggUpdateConditionNodeChange();
		}
		this._container_10.appendChild(this._thumbnail_cloner0);
		this._menu_a0.appendChild(this._container_10);
		this.divSkin.appendChild(this._menu_a0);
		this._menu_a=document.createElement('div');
		this._menu_a.ggId="menu_a";
		this._menu_a.ggLeft=-224;
		this._menu_a.ggTop=-190;
		this._menu_a.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._menu_a.ggVisible=false;
		this._menu_a.className='ggskin ggskin_container ';
		this._menu_a.ggType='container';
		hs ='';
		hs+='height : 63px;';
		hs+='left : -224px;';
		hs+='position : absolute;';
		hs+='top : -190px;';
		hs+='visibility : hidden;';
		hs+='width : 395px;';
		hs+='pointer-events:none;';
		this._menu_a.setAttribute('style',hs);
		this._menu_a.style[domTransform + 'Origin']='50% 50%';
		me._menu_a.ggIsActive=function() {
			return false;
		}
		me._menu_a.ggElementNodeId=function() {
			return me.player.getCurrentNode();
		}
		me._menu_a.ggCurrentLogicStateVisible = -1;
		this._menu_a.ggUpdateConditionResize=function () {
			var newLogicStateVisible;
			if (
				(me.player.getViewerSize().width < 800)
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._menu_a.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._menu_a.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._menu_a.style[domTransition]='';
				if (me._menu_a.ggCurrentLogicStateVisible == 0) {
					me._menu_a.style.visibility=(Number(me._menu_a.style.opacity)>0||!me._menu_a.style.opacity)?'inherit':'hidden';
					me._menu_a.ggVisible=true;
				}
				else {
					me._menu_a.style.visibility="hidden";
					me._menu_a.ggVisible=false;
				}
			}
		}
		this._menu_a.ggUpdatePosition=function (useTransition) {
			if (useTransition==='undefined') {
				useTransition = false;
			}
			if (!useTransition) {
				this.style[domTransition]='none';
			}
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w/2) + 'px';
				var h=this.parentNode.offsetHeight;
					this.style.top=(this.ggTop - 0 + h) + 'px';
			}
			me._menu_a.ggUpdateConditionResize();
		}
		this._rectangle_1=document.createElement('div');
		this._rectangle_1.ggId="Rectangle 1";
		this._rectangle_1.ggLeft=-194;
		this._rectangle_1.ggTop=-60;
		this._rectangle_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._rectangle_1.ggVisible=true;
		this._rectangle_1.className='ggskin ggskin_rectangle ';
		this._rectangle_1.ggType='rectangle';
		hs ='';
		hs+='background : #ffffff;';
		hs+='border : 1px solid #000000;';
		hs+='cursor : default;';
		hs+='height : 59px;';
		hs+='left : -194px;';
		hs+='position : absolute;';
		hs+='top : -60px;';
		hs+='visibility : inherit;';
		hs+='width : 19px;';
		hs+='pointer-events:auto;';
		this._rectangle_1.setAttribute('style',hs);
		this._rectangle_1.style[domTransform + 'Origin']='50% 50%';
		me._rectangle_1.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._rectangle_1.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._rectangle_1.onmouseout=function (e) {
			me.elementMouseDown['rectangle_1']=false;
		}
		this._rectangle_1.onmousedown=function (e) {
			me.elementMouseDown['rectangle_1']=true;
		}
		this._rectangle_1.onmouseup=function (e) {
			me.elementMouseDown['rectangle_1']=false;
		}
		this._rectangle_1.ontouchend=function (e) {
			me.elementMouseDown['rectangle_1']=false;
		}
		this._rectangle_1.ggUpdatePosition=function (useTransition) {
			if (useTransition==='undefined') {
				useTransition = false;
			}
			if (!useTransition) {
				this.style[domTransition]='none';
			}
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w/2) + 'px';
				var h=this.parentNode.offsetHeight;
					this.style.top=(this.ggTop - 0 + h) + 'px';
			}
		}
		this._menu_a.appendChild(this._rectangle_1);
		this._rectangle_2=document.createElement('div');
		this._rectangle_2.ggId="Rectangle 2";
		this._rectangle_2.ggLeft=233;
		this._rectangle_2.ggTop=-61;
		this._rectangle_2.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._rectangle_2.ggVisible=true;
		this._rectangle_2.className='ggskin ggskin_rectangle ';
		this._rectangle_2.ggType='rectangle';
		hs ='';
		hs+='background : #ffffff;';
		hs+='border : 1px solid #000000;';
		hs+='cursor : default;';
		hs+='height : 59px;';
		hs+='left : 233px;';
		hs+='position : absolute;';
		hs+='top : -61px;';
		hs+='visibility : inherit;';
		hs+='width : 19px;';
		hs+='pointer-events:auto;';
		this._rectangle_2.setAttribute('style',hs);
		this._rectangle_2.style[domTransform + 'Origin']='50% 50%';
		me._rectangle_2.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._rectangle_2.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._rectangle_2.onmouseout=function (e) {
			me.elementMouseDown['rectangle_2']=false;
		}
		this._rectangle_2.onmousedown=function (e) {
			me.elementMouseDown['rectangle_2']=true;
		}
		this._rectangle_2.onmouseup=function (e) {
			me.elementMouseDown['rectangle_2']=false;
		}
		this._rectangle_2.ontouchend=function (e) {
			me.elementMouseDown['rectangle_2']=false;
		}
		this._rectangle_2.ggUpdatePosition=function (useTransition) {
			if (useTransition==='undefined') {
				useTransition = false;
			}
			if (!useTransition) {
				this.style[domTransition]='none';
			}
			if (this.parentNode) {
				var w=this.parentNode.offsetWidth;
					this.style.left=(this.ggLeft - 0 + w/2) + 'px';
				var h=this.parentNode.offsetHeight;
					this.style.top=(this.ggTop - 0 + h) + 'px';
			}
		}
		this._menu_a.appendChild(this._rectangle_2);
		this._container_1=document.createElement('div');
		this._container_1.ggId="Container 1";
		this._container_1.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._container_1.ggVisible=true;
		this._container_1.className='ggskin ggskin_container ';
		this._container_1.ggType='container';
		hs ='';
		hs+='height : 60px;';
		hs+='left : 32px;';
		hs+='overflow : hidden;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : inherit;';
		hs+='width : 390px;';
		hs+='pointer-events:none;';
		this._container_1.setAttribute('style',hs);
		this._container_1.style[domTransform + 'Origin']='50% 50%';
		me._container_1.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._container_1.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._container_1.ggUpdatePosition=function (useTransition) {
		}
		this._thumbnail_cloner=document.createElement('div');
		this._thumbnail_cloner.ggNumRepeat = 1;
		this._thumbnail_cloner.ggWidth = 98;
		this._thumbnail_cloner.ggHeight = 60;
		this._thumbnail_cloner.ggUpdating = false;
		this._thumbnail_cloner.ggFilter = [];
		this._thumbnail_cloner.ggUpdate = function(filter) {
			if(me._thumbnail_cloner.ggUpdating == true) return;
			me._thumbnail_cloner.ggUpdating = true;
			if (typeof filter=='object') {
				me._thumbnail_cloner.ggFilter = filter;
			} else {
				filter = me._thumbnail_cloner.ggFilter;
			};
			if (me._thumbnail_cloner.hasChildNodes() == true) {
				while (me._thumbnail_cloner.firstChild) {
					me._thumbnail_cloner.removeChild(me._thumbnail_cloner.firstChild);
				}
			}
			var tourNodes = me.player.getNodeIds();
			var row = 0;
			var column = 0;
			var numRows = me._thumbnail_cloner.ggNumRepeat;
			if (numRows < 1) numRows = 1;
			for (i=0; i < tourNodes.length; i++) {
				var nodeId = tourNodes[i];
				var passed = false;
				if (filter.length > 0) {
					var nodeData = me.player.getNodeUserdata(nodeId);
					for (j=0; j < filter.length; j++) {
						if (nodeData['tags'].indexOf(filter[j]) != -1) passed = true;
					}
				}
				else passed = true;
				if (passed) {
					me._thumbnail_cloner__node = document.createElement('div');
					me._thumbnail_cloner.appendChild(me._thumbnail_cloner__node);
					me._thumbnail_cloner__node.setAttribute('style','position: absolute; top: ' + (row * me._thumbnail_cloner.ggHeight) + 'px; left:' + (column * me._thumbnail_cloner.ggWidth) + 'px; height: ' + me._thumbnail_cloner.ggHeight + 'px; width: ' + me._thumbnail_cloner.ggWidth + 'px; overflow: hidden;');
					var inst = new SkinCloner_thumbnail_cloner_Class(nodeId, me);
					me._thumbnail_cloner__node.appendChild(inst.__div);
					me._thumbnail_cloner__node.ggObj=inst;
					me.updateSize(inst.__div);
					row++;
					if (row >= numRows) {
						row = 0;
						column++;
					}
				}
			}
			me._thumbnail_cloner.ggClonerCallChildFunctions('ggUpdateConditionTimer');
			me._thumbnail_cloner.ggUpdating = false;
		}
		this._thumbnail_cloner.ggClonerCallChildFunctions = function(functionname){
			var stack = [];
			var i;
			for(i=0; i<me._thumbnail_cloner.childNodes.length; i++) {
				stack.push(me._thumbnail_cloner.childNodes[i]);
			}
			while (stack.length > 0) {
				var e = stack.pop();
				if (typeof e[functionname] == 'function')
					e[functionname]();
				if(e.hasChildNodes()) {
					for(i=0; i<e.childNodes.length; i++) {
						stack.push(e.childNodes[i]);
					}
				}
			}
		}
		this._thumbnail_cloner.ggTags = [];
		this._thumbnail_cloner.ggId="Thumbnail Cloner";
		this._thumbnail_cloner.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail_cloner.ggVisible=true;
		this._thumbnail_cloner.className='ggskin ggskin_cloner ';
		this._thumbnail_cloner.ggType='cloner';
		hs ='';
		hs+='height : 59px;';
		hs+='left : 0px;';
		hs+='overflow : visible;';
		hs+='position : absolute;';
		hs+='top : -1px;';
		hs+='visibility : inherit;';
		hs+='width : 97px;';
		hs+='pointer-events:none;';
		this._thumbnail_cloner.setAttribute('style',hs);
		this._thumbnail_cloner.style[domTransform + 'Origin']='50% 50%';
		me._thumbnail_cloner.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._thumbnail_cloner.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._thumbnail_cloner.ggUpdateConditionNodeChange=function () {
			var cnode=me.player.getCurrentNode();
			for(var i=0; i<me._thumbnail_cloner.childNodes.length; i++) {
				var child=me._thumbnail_cloner.childNodes[i];
				if (child.ggObj && child.ggObj.ggNodeId==cnode) {
			        var childOffX = child.offsetLeft;
			        var childOffY = child.offsetTop;
					var p = child.parentElement;
			        while (p != null && p!==this.divSkin) {
						if (p.ggType && p.ggType == 'scrollarea') {
							if ((p.scrollLeft + p.clientWidth) < (childOffX + child.clientWidth)) {
								p.scrollLeft = (childOffX + child.clientWidth) - p.clientWidth;
							}
							if ((p.scrollTop + p.clientHeight) < (childOffY + child.clientHeight)) {
								p.scrollTop = (childOffY + child.clientHeight) - p.clientHeight;
							}
							if (childOffX < p.scrollLeft) {
								p.scrollLeft = childOffX;
							}
							if (childOffY < p.scrollTop) {
								p.scrollTop = childOffY;
							}
						}
						childOffX += p.offsetLeft;
						childOffY += p.offsetTop;
						p = p.parentElement;
					}
				}
			}
		}
		this._thumbnail_cloner.ggUpdatePosition=function (useTransition) {
			var w=me.player.getViewerSize().width;
			var h=me.player.getViewerSize().height
			if ((!me._thumbnail_cloner.ggLastSize) || (me._thumbnail_cloner.ggLastSize.w!=w) || (me._thumbnail_cloner.ggLastSize.h!=h)) {
				me._thumbnail_cloner.ggLastSize={ w:w, h:h };
				me._thumbnail_cloner.ggUpdate();
			}
		}
		this._thumbnail_cloner.ggNodeChange=function () {
			me._thumbnail_cloner.ggUpdateConditionNodeChange();
		}
		this._container_1.appendChild(this._thumbnail_cloner);
		this._menu_a.appendChild(this._container_1);
		this.divSkin.appendChild(this._menu_a);
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
			me._thumbnail_cloner0.ggUpdate(me._thumbnail_cloner0.ggTags);
			me._thumbnail_cloner.ggUpdate(me._thumbnail_cloner.ggTags);
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		me.ggUserdata=me.player.userdata;
		me._thumbnail_cloner0.ggNodeChange();
		me._thumbnail_cloner.ggNodeChange();
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		me.ggCurrentTime=new Date().getTime();
		if (me.elementMouseDown['rectangle_10']) {
			if (me.player.transitionsDisabled) {
				me._thumbnail_cloner0.style[domTransition]='none';
			} else {
				me._thumbnail_cloner0.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._thumbnail_cloner0.ggParameter.rx+=10;me._thumbnail_cloner0.ggParameter.ry+=0;
			if (me._thumbnail_cloner0.ggParameter.rx>0) me._thumbnail_cloner0.ggParameter.rx=0;
			me._thumbnail_cloner0.style[domTransform]=parameterToTransform(me._thumbnail_cloner0.ggParameter);
		}
		if (me.elementMouseDown['rectangle_20']) {
			if (me.player.transitionsDisabled) {
				me._thumbnail_cloner0.style[domTransition]='none';
			} else {
				me._thumbnail_cloner0.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._thumbnail_cloner0.ggParameter.rx+=-10;me._thumbnail_cloner0.ggParameter.ry+=0;
			if (me._thumbnail_cloner0.ggParameter.rx<-490) me._thumbnail_cloner0.ggParameter.rx=-490;
			me._thumbnail_cloner0.style[domTransform]=parameterToTransform(me._thumbnail_cloner0.ggParameter);
		}
		me._thumbnail_cloner0.ggClonerCallChildFunctions('ggUpdateConditionTimer');
		if (me.elementMouseDown['rectangle_1']) {
			if (me.player.transitionsDisabled) {
				me._thumbnail_cloner.style[domTransition]='none';
			} else {
				me._thumbnail_cloner.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._thumbnail_cloner.ggParameter.rx+=10;me._thumbnail_cloner.ggParameter.ry+=0;
			if (me._thumbnail_cloner.ggParameter.rx>0) me._thumbnail_cloner.ggParameter.rx=0;
			me._thumbnail_cloner.style[domTransform]=parameterToTransform(me._thumbnail_cloner.ggParameter);
		}
		if (me.elementMouseDown['rectangle_2']) {
			if (me.player.transitionsDisabled) {
				me._thumbnail_cloner.style[domTransition]='none';
			} else {
				me._thumbnail_cloner.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._thumbnail_cloner.ggParameter.rx+=-10;me._thumbnail_cloner.ggParameter.ry+=0;
			if (me._thumbnail_cloner.ggParameter.rx<-590) me._thumbnail_cloner.ggParameter.rx=-590;
			me._thumbnail_cloner.style[domTransform]=parameterToTransform(me._thumbnail_cloner.ggParameter);
		}
		me._thumbnail_cloner.ggClonerCallChildFunctions('ggUpdateConditionTimer');
	};
	function SkinCloner_thumbnail_cloner0_Class(nodeId, parent) {
		var me=this;
		this.skin=parent;
		this.player=this.skin.player;
		this.findElements=this.skin.findElements;
		this.ggNodeId=nodeId;
		this.ggUserdata=this.skin.player.getNodeUserdata(nodeId);
		this.elementMouseDown=[];
		this.elementMouseOver=[];
		this.__div=document.createElement('div');
		this.__div.setAttribute('style','position: absolute; left: 0px; top: 0px; width: 98px; height: 60px; visibility: inherit;');
		this.__div.ggIsActive = function() {
			return me.player.getCurrentNode()==me.ggNodeId;
		}
		this.__div.ggElementNodeId=function() {
			return me.ggNodeId;
		}
		this._thumbnail_nodeimage0=document.createElement('div');
		this._thumbnail_nodeimage0__img=document.createElement('img');
		this._thumbnail_nodeimage0__img.className='ggskin ggskin_nodeimage';
		this._thumbnail_nodeimage0__img.setAttribute('src',basePath + "images/thumbnail_nodeimage_" + nodeId + ".jpg");
		this._thumbnail_nodeimage0.ggNodeId=nodeId;
		this._thumbnail_nodeimage0__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._thumbnail_nodeimage0__img.className='ggskin ggskin_nodeimage';
		this._thumbnail_nodeimage0__img['ondragstart']=function() { return false; };
		this._thumbnail_nodeimage0.appendChild(this._thumbnail_nodeimage0__img);
		this._thumbnail_nodeimage0.ggId="Thumbnail NodeImage";
		this._thumbnail_nodeimage0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail_nodeimage0.ggVisible=true;
		this._thumbnail_nodeimage0.className='ggskin ggskin_nodeimage ';
		this._thumbnail_nodeimage0.ggType='nodeimage';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 60px;';
		hs+='left : 2px;';
		hs+='position : absolute;';
		hs+='top : 2px;';
		hs+='visibility : inherit;';
		hs+='width : 100px;';
		hs+='pointer-events:auto;';
		this._thumbnail_nodeimage0.setAttribute('style',hs);
		this._thumbnail_nodeimage0.style[domTransform + 'Origin']='50% 50%';
		me._thumbnail_nodeimage0.ggIsActive=function() {
			return me.player.getCurrentNode()==this.ggElementNodeId();
		}
		me._thumbnail_nodeimage0.ggElementNodeId=function() {
			return this.ggNodeId;
		}
		this._thumbnail_nodeimage0.onclick=function (e) {
			me.player.openNext("{"+me.ggNodeId+"}","");
		}
		this._thumbnail_nodeimage0.ggUpdatePosition=function (useTransition) {
		}
		this._checkmark_tick0=document.createElement('div');
		this._checkmark_tick0__img=document.createElement('img');
		this._checkmark_tick0__img.className='ggskin ggskin_svg';
		this._checkmark_tick0__img.setAttribute('src',basePath + 'images/checkmark_tick0.svg');
		this._checkmark_tick0__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._checkmark_tick0__img['ondragstart']=function() { return false; };
		this._checkmark_tick0.appendChild(this._checkmark_tick0__img);
		this._checkmark_tick0.ggId="checkmark_tick";
		this._checkmark_tick0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._checkmark_tick0.ggVisible=false;
		this._checkmark_tick0.className='ggskin ggskin_svg ';
		this._checkmark_tick0.ggType='svg';
		hs ='';
		hs+='height : 19px;';
		hs+='left : 72px;';
		hs+='position : absolute;';
		hs+='top : 3px;';
		hs+='visibility : hidden;';
		hs+='width : 19px;';
		hs+='pointer-events:auto;';
		this._checkmark_tick0.setAttribute('style',hs);
		this._checkmark_tick0.style[domTransform + 'Origin']='50% 50%';
		me._checkmark_tick0.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._checkmark_tick0.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		me._checkmark_tick0.ggCurrentLogicStateVisible = -1;
		this._checkmark_tick0.ggUpdateConditionTimer=function () {
			var newLogicStateVisible;
			if (
				(me.player.nodeVisited(me._checkmark_tick0.ggElementNodeId()) == true) || 
				(me._checkmark_tick0.ggIsActive() == true)
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._checkmark_tick0.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._checkmark_tick0.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._checkmark_tick0.style[domTransition]='';
				if (me._checkmark_tick0.ggCurrentLogicStateVisible == 0) {
					me._checkmark_tick0.style.visibility=(Number(me._checkmark_tick0.style.opacity)>0||!me._checkmark_tick0.style.opacity)?'inherit':'hidden';
					me._checkmark_tick0.ggVisible=true;
				}
				else {
					me._checkmark_tick0.style.visibility="hidden";
					me._checkmark_tick0.ggVisible=false;
				}
			}
		}
		this._checkmark_tick0.ggUpdatePosition=function (useTransition) {
		}
		this._thumbnail_nodeimage0.appendChild(this._checkmark_tick0);
		this._thumbnail_active0=document.createElement('div');
		this._thumbnail_active0.ggId="Thumbnail Active";
		this._thumbnail_active0.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail_active0.ggVisible=true;
		this._thumbnail_active0.className='ggskin ggskin_rectangle ';
		this._thumbnail_active0.ggType='rectangle';
		hs ='';
		hs+='border : 3px solid #d1d1d1;';
		hs+='cursor : default;';
		hs+='height : 53px;';
		hs+='left : -1px;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : inherit;';
		hs+='width : 91px;';
		hs+='pointer-events:auto;';
		this._thumbnail_active0.setAttribute('style',hs);
		this._thumbnail_active0.style[domTransform + 'Origin']='50% 50%';
		me._thumbnail_active0.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._thumbnail_active0.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._thumbnail_active0.onmouseover=function (e) {
			me.elementMouseOver['thumbnail_active0']=true;
		}
		this._thumbnail_active0.onmouseout=function (e) {
			me.elementMouseOver['thumbnail_active0']=false;
		}
		this._thumbnail_active0.ontouchend=function (e) {
			me.elementMouseOver['thumbnail_active0']=false;
		}
		me._thumbnail_active0.ggCurrentLogicStateBorderColor = -1;
		this._thumbnail_active0.ggUpdateConditionTimer=function () {
			var newLogicStateBorderColor;
			if (
				(me._thumbnail_active0.ggIsActive() == true)
			)
			{
				newLogicStateBorderColor = 0;
			}
			else if (
				(me.elementMouseOver['thumbnail_active0'] == true)
			)
			{
				newLogicStateBorderColor = 1;
			}
			else {
				newLogicStateBorderColor = -1;
			}
			if (me._thumbnail_active0.ggCurrentLogicStateBorderColor != newLogicStateBorderColor) {
				me._thumbnail_active0.ggCurrentLogicStateBorderColor = newLogicStateBorderColor;
				me._thumbnail_active0.style[domTransition]='border-color none';
				if (me._thumbnail_active0.ggCurrentLogicStateBorderColor == 0) {
					me._thumbnail_active0.style.borderColor="rgba(0,0,0,1)";
				}
				else if (me._thumbnail_active0.ggCurrentLogicStateBorderColor == 1) {
					me._thumbnail_active0.style.borderColor="rgba(0,0,0,1)";
				}
				else {
					me._thumbnail_active0.style.borderColor="rgba(209,209,209,1)";
				}
			}
		}
		this._thumbnail_active0.ggUpdatePosition=function (useTransition) {
		}
		this._thumbnail_nodeimage0.appendChild(this._thumbnail_active0);
		this.__div.appendChild(this._thumbnail_nodeimage0);
	};
	function SkinCloner_thumbnail_cloner_Class(nodeId, parent) {
		var me=this;
		this.skin=parent;
		this.player=this.skin.player;
		this.findElements=this.skin.findElements;
		this.ggNodeId=nodeId;
		this.ggUserdata=this.skin.player.getNodeUserdata(nodeId);
		this.elementMouseDown=[];
		this.elementMouseOver=[];
		this.__div=document.createElement('div');
		this.__div.setAttribute('style','position: absolute; left: 0px; top: 0px; width: 98px; height: 60px; visibility: inherit;');
		this.__div.ggIsActive = function() {
			return me.player.getCurrentNode()==me.ggNodeId;
		}
		this.__div.ggElementNodeId=function() {
			return me.ggNodeId;
		}
		this._thumbnail_nodeimage=document.createElement('div');
		this._thumbnail_nodeimage__img=document.createElement('img');
		this._thumbnail_nodeimage__img.className='ggskin ggskin_nodeimage';
		this._thumbnail_nodeimage__img.setAttribute('src',basePath + "images/thumbnail_nodeimage_" + nodeId + ".jpg");
		this._thumbnail_nodeimage.ggNodeId=nodeId;
		this._thumbnail_nodeimage__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._thumbnail_nodeimage__img.className='ggskin ggskin_nodeimage';
		this._thumbnail_nodeimage__img['ondragstart']=function() { return false; };
		this._thumbnail_nodeimage.appendChild(this._thumbnail_nodeimage__img);
		this._thumbnail_nodeimage.ggId="Thumbnail NodeImage";
		this._thumbnail_nodeimage.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail_nodeimage.ggVisible=true;
		this._thumbnail_nodeimage.className='ggskin ggskin_nodeimage ';
		this._thumbnail_nodeimage.ggType='nodeimage';
		hs ='';
		hs+='cursor : pointer;';
		hs+='height : 60px;';
		hs+='left : 2px;';
		hs+='position : absolute;';
		hs+='top : 2px;';
		hs+='visibility : inherit;';
		hs+='width : 100px;';
		hs+='pointer-events:auto;';
		this._thumbnail_nodeimage.setAttribute('style',hs);
		this._thumbnail_nodeimage.style[domTransform + 'Origin']='50% 50%';
		me._thumbnail_nodeimage.ggIsActive=function() {
			return me.player.getCurrentNode()==this.ggElementNodeId();
		}
		me._thumbnail_nodeimage.ggElementNodeId=function() {
			return this.ggNodeId;
		}
		this._thumbnail_nodeimage.onclick=function (e) {
			me.player.openNext("{"+me.ggNodeId+"}","");
		}
		this._thumbnail_nodeimage.ggUpdatePosition=function (useTransition) {
		}
		this._checkmark_tick=document.createElement('div');
		this._checkmark_tick__img=document.createElement('img');
		this._checkmark_tick__img.className='ggskin ggskin_svg';
		this._checkmark_tick__img.setAttribute('src',basePath + 'images/checkmark_tick.svg');
		this._checkmark_tick__img.setAttribute('style','position: absolute;top: 0px;left: 0px;width: 100%;height: 100%;-webkit-user-drag:none;pointer-events:none;');
		this._checkmark_tick__img['ondragstart']=function() { return false; };
		this._checkmark_tick.appendChild(this._checkmark_tick__img);
		this._checkmark_tick.ggId="checkmark_tick";
		this._checkmark_tick.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._checkmark_tick.ggVisible=false;
		this._checkmark_tick.className='ggskin ggskin_svg ';
		this._checkmark_tick.ggType='svg';
		hs ='';
		hs+='height : 19px;';
		hs+='left : 72px;';
		hs+='position : absolute;';
		hs+='top : 3px;';
		hs+='visibility : hidden;';
		hs+='width : 19px;';
		hs+='pointer-events:auto;';
		this._checkmark_tick.setAttribute('style',hs);
		this._checkmark_tick.style[domTransform + 'Origin']='50% 50%';
		me._checkmark_tick.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._checkmark_tick.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		me._checkmark_tick.ggCurrentLogicStateVisible = -1;
		this._checkmark_tick.ggUpdateConditionTimer=function () {
			var newLogicStateVisible;
			if (
				(me.player.nodeVisited(me._checkmark_tick.ggElementNodeId()) == true) || 
				(me._checkmark_tick.ggIsActive() == true)
			)
			{
				newLogicStateVisible = 0;
			}
			else {
				newLogicStateVisible = -1;
			}
			if (me._checkmark_tick.ggCurrentLogicStateVisible != newLogicStateVisible) {
				me._checkmark_tick.ggCurrentLogicStateVisible = newLogicStateVisible;
				me._checkmark_tick.style[domTransition]='';
				if (me._checkmark_tick.ggCurrentLogicStateVisible == 0) {
					me._checkmark_tick.style.visibility=(Number(me._checkmark_tick.style.opacity)>0||!me._checkmark_tick.style.opacity)?'inherit':'hidden';
					me._checkmark_tick.ggVisible=true;
				}
				else {
					me._checkmark_tick.style.visibility="hidden";
					me._checkmark_tick.ggVisible=false;
				}
			}
		}
		this._checkmark_tick.ggUpdatePosition=function (useTransition) {
		}
		this._thumbnail_nodeimage.appendChild(this._checkmark_tick);
		this._thumbnail_active=document.createElement('div');
		this._thumbnail_active.ggId="Thumbnail Active";
		this._thumbnail_active.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._thumbnail_active.ggVisible=true;
		this._thumbnail_active.className='ggskin ggskin_rectangle ';
		this._thumbnail_active.ggType='rectangle';
		hs ='';
		hs+='border : 3px solid #d1d1d1;';
		hs+='cursor : default;';
		hs+='height : 53px;';
		hs+='left : -1px;';
		hs+='position : absolute;';
		hs+='top : 1px;';
		hs+='visibility : inherit;';
		hs+='width : 91px;';
		hs+='pointer-events:auto;';
		this._thumbnail_active.setAttribute('style',hs);
		this._thumbnail_active.style[domTransform + 'Origin']='50% 50%';
		me._thumbnail_active.ggIsActive=function() {
			if ((this.parentNode) && (this.parentNode.ggIsActive)) {
				return this.parentNode.ggIsActive();
			}
			return false;
		}
		me._thumbnail_active.ggElementNodeId=function() {
			if ((this.parentNode) && (this.parentNode.ggElementNodeId)) {
				return this.parentNode.ggElementNodeId();
			}
			return me.player.getCurrentNode();
		}
		this._thumbnail_active.onmouseover=function (e) {
			me.elementMouseOver['thumbnail_active']=true;
		}
		this._thumbnail_active.onmouseout=function (e) {
			me.elementMouseOver['thumbnail_active']=false;
		}
		this._thumbnail_active.ontouchend=function (e) {
			me.elementMouseOver['thumbnail_active']=false;
		}
		me._thumbnail_active.ggCurrentLogicStateBorderColor = -1;
		this._thumbnail_active.ggUpdateConditionTimer=function () {
			var newLogicStateBorderColor;
			if (
				(me._thumbnail_active.ggIsActive() == true)
			)
			{
				newLogicStateBorderColor = 0;
			}
			else if (
				(me.elementMouseOver['thumbnail_active'] == true)
			)
			{
				newLogicStateBorderColor = 1;
			}
			else {
				newLogicStateBorderColor = -1;
			}
			if (me._thumbnail_active.ggCurrentLogicStateBorderColor != newLogicStateBorderColor) {
				me._thumbnail_active.ggCurrentLogicStateBorderColor = newLogicStateBorderColor;
				me._thumbnail_active.style[domTransition]='border-color none';
				if (me._thumbnail_active.ggCurrentLogicStateBorderColor == 0) {
					me._thumbnail_active.style.borderColor="rgba(0,0,0,1)";
				}
				else if (me._thumbnail_active.ggCurrentLogicStateBorderColor == 1) {
					me._thumbnail_active.style.borderColor="rgba(0,0,0,1)";
				}
				else {
					me._thumbnail_active.style.borderColor="rgba(209,209,209,1)";
				}
			}
		}
		this._thumbnail_active.ggUpdatePosition=function (useTransition) {
		}
		this._thumbnail_nodeimage.appendChild(this._thumbnail_active);
		this.__div.appendChild(this._thumbnail_nodeimage);
	};
	this.addSkin();
};